mscorlib 1.0.5000.0 2.0.0.0 4.0.0.0 System.Object Interface to store configuration settings.

The registry classes in Mono will map to the real registry when running on Windows, but will map to a set of XML files on the file system when running on Unix operating systems.

On Unix the values of the registry are not pre-populated, it is only useful to store and retrieve application specific data, it will not contain information that is typically available from the Windows registry (like mime type definitions and mime type handlers).

On Unix the files are stored in the ".mono/registry" directory inside the user's home directory. In there a directory is created for each of the values and in there a directory structure mimics the registry paths.

On Unix if multiple applications are modifying the data on the registry the values wont be observed by other applications as each application keeps an in-memory cache for all registry keys opened.

`using Microsoft.Win32; using System; using System.IO; class X { static void Main () { RegistryKey rootKey = Microsoft.Win32.Registry.CurrentUser; RegistryKey softwareKey = null; string hkcuKey = @"SOFTWARE\Mono.Tests"; softwareKey = rootKey.CreateSubKey (hkcuKey); softwareKey.SetValue ("Username", "John"); Console.WriteLine (softwareKey.Name); softwareKey.Flush (); Console.WriteLine (softwareKey.SubKeyCount); Console.WriteLine (softwareKey.ValueCount); RegistryKey second = rootKey.OpenSubKey (hkcuKey); Console.WriteLine (second.GetValue ("Hola")); second = rootKey.OpenSubKey ("SOFTWARE"); second.DeleteSubKeyTree ("Mono.Tests"); } }`
- Field
  Microsoft.Win32.RegistryKey To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  Microsoft.Win32.RegistryKey To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  Microsoft.Win32.RegistryKey To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  Microsoft.Win32.RegistryKey To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0 System.Obsolete("Use PerformanceData instead")
- Method
  System.Object `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Field
  Microsoft.Win32.RegistryKey To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  Microsoft.Win32.RegistryKey To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Void `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Field
  Microsoft.Win32.RegistryKey To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
System.Runtime.InteropServices.ComVisible(true)